SteelInsertSectionBuilder Class

class NXOpen.Die.SteelInsertSectionBuilder

Bases: NXOpen.Features.FeatureBuilder

Represents a Steel Insert Section sub feature.

This sub feature is created via the main feature builder.

New in version NX4.0.0.

Properties

Property Description
BackSideReliefDistance Returns the back/side relief distance of the steel insert casting
BeltThickness Returns the belt thickness
ExtensionDistance Returns the extension distance
ExtensionType Returns or sets the extension type
MassLimit Returns or sets the mass limit of the steel insert casting
OffsetProfileToTop Returns the offset of the profile to the top of the steel insert casting
ParentFeatureInternal Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal
PatchSolutionFlag Returns or sets the patch solution flag
PatchSurfaceFilename Returns or sets the patch surface filename
PlanarOffsetHeight Returns the planar contact height of the steel insert casting
ProductContactRelief Returns the product contact relief of the steel insert casting
ProductContactWidth Returns the product contact width of the steel insert casting
ProfileRelief Returns the profile relief
ReliefAngle Returns the relief angle
SurroundingPatchSurfaceFilename Returns or sets the surrounding patch surface filename
Tag Returns the Tag for this object.

Methods

Method Description
Commit Commits any edits that have been applied to the builder.
CommitFeature Commits the feature parameters and creates the feature
Destroy Deletes the builder, and cleans up any objects created by the builder.
GetBackAttributes Gets the back faces attributes
GetBaseAttributes Gets the base faces attributes
GetCommittedObjects For builders that create more than one object, this method returns the objects that are created by commit.
GetEndAttributes Gets the end faces attributes
GetFeature Returns the feature currently being edited by this builder.
GetFlangeWallAttributes Gets the flange wall attributes
GetFormingAttributes Gets the forming faces attributes
GetObject Returns the object currently being edited by this builder.
GetTrimWallAttributes Gets the steelinsert trim wall faces attributes
HideInternalParentFeatureAfterEdit Re-suppress an internal parent feature (a slave feature) after it has been edited.
SetBackAttributes Sets the back faces attributes
SetBackSideReliefDistance  
SetBaseAttributes Sets the base faces attributes
SetBeltThickness  
SetEndAttributes Sets the end faces attributes
SetExtensionDistance  
SetFlangeWallAttributes Sets the flange wall attributes
SetFormingAttributes Sets the forming faces attributes
SetOffsetProfileToTop  
SetParentFeatureInternal Set the parent features which would be internal or slaves to the feature being created or commited
SetPlanarOffsetHeight  
SetProductContactRelief  
SetProductContactWidth  
SetProfileRelief  
SetReliefAngle  
SetTrimWallAttributes Sets the steelinsert trim wall faces attributes
ShowInternalParentFeatureForEdit Unsuppress an internal parent feature (a slave feature) so it can be edited.
ShowResults Updates the model to reflect the result of an edit to the model for all builders that support showing results.
UnsetParentFeatureInternal Set the internal parent feature of the feature being edited to external
Validate Validate whether the inputs to the component are sufficient for commit to be called.

Enumerations

SteelInsertSectionBuilderExtensionTypeOption Enumeration Settings for the extension type.

Property Detail

BackSideReliefDistance

SteelInsertSectionBuilder.BackSideReliefDistance

Returns the back/side relief distance of the steel insert casting

-------------------------------------

Getter Method

Signature BackSideReliefDistance

Returns:
Return type:NXOpen.Expression

New in version NX4.0.0.

License requirements: ug_die_design (“Die Design”)

BeltThickness

SteelInsertSectionBuilder.BeltThickness

Returns the belt thickness

-------------------------------------

Getter Method

Signature BeltThickness

Returns:
Return type:NXOpen.Expression

New in version NX4.0.0.

License requirements: ug_die_design (“Die Design”)

ExtensionDistance

SteelInsertSectionBuilder.ExtensionDistance

Returns the extension distance

-------------------------------------

Getter Method

Signature ExtensionDistance

Returns:
Return type:NXOpen.Expression

New in version NX4.0.0.

License requirements: ug_die_design (“Die Design”)

ExtensionType

SteelInsertSectionBuilder.ExtensionType

Returns or sets the extension type

-------------------------------------

Getter Method

Signature ExtensionType

Returns:
Return type:NXOpen.Die.SteelInsertSectionBuilderExtensionTypeOption

New in version NX4.0.0.

License requirements: ug_die_design (“Die Design”)

-------------------------------------

Setter Method

Signature ExtensionType

Parameters:extensionType (NXOpen.Die.SteelInsertSectionBuilderExtensionTypeOption) –

New in version NX4.0.0.

License requirements: ug_die_design (“Die Design”)

MassLimit

SteelInsertSectionBuilder.MassLimit

Returns or sets the mass limit of the steel insert casting

-------------------------------------

Getter Method

Signature MassLimit

Returns:
Return type:float

New in version NX4.0.0.

License requirements: ug_die_design (“Die Design”)

-------------------------------------

Setter Method

Signature MassLimit

Parameters:massLimit (float) –

New in version NX4.0.0.

License requirements: ug_die_design (“Die Design”)

OffsetProfileToTop

SteelInsertSectionBuilder.OffsetProfileToTop

Returns the offset of the profile to the top of the steel insert casting

-------------------------------------

Getter Method

Signature OffsetProfileToTop

Returns:
Return type:NXOpen.Expression

New in version NX4.0.0.

License requirements: ug_die_design (“Die Design”)

PlanarOffsetHeight

SteelInsertSectionBuilder.PlanarOffsetHeight

Returns the planar contact height of the steel insert casting

-------------------------------------

Getter Method

Signature PlanarOffsetHeight

Returns:
Return type:NXOpen.Expression

New in version NX4.0.0.

License requirements: ug_die_design (“Die Design”)

ProductContactRelief

SteelInsertSectionBuilder.ProductContactRelief

Returns the product contact relief of the steel insert casting

-------------------------------------

Getter Method

Signature ProductContactRelief

Returns:
Return type:NXOpen.Expression

New in version NX4.0.0.

License requirements: ug_die_design (“Die Design”)

ProductContactWidth

SteelInsertSectionBuilder.ProductContactWidth

Returns the product contact width of the steel insert casting

-------------------------------------

Getter Method

Signature ProductContactWidth

Returns:
Return type:NXOpen.Expression

New in version NX4.0.0.

License requirements: ug_die_design (“Die Design”)

ProfileRelief

SteelInsertSectionBuilder.ProfileRelief

Returns the profile relief

-------------------------------------

Getter Method

Signature ProfileRelief

Returns:
Return type:NXOpen.Expression

New in version NX4.0.0.

License requirements: ug_die_design (“Die Design”)

ReliefAngle

SteelInsertSectionBuilder.ReliefAngle

Returns the relief angle

-------------------------------------

Getter Method

Signature ReliefAngle

Returns:
Return type:NXOpen.Expression

New in version NX4.0.0.

License requirements: ug_die_design (“Die Design”)

Method Detail

GetBackAttributes

SteelInsertSectionBuilder.GetBackAttributes

Gets the back faces attributes

Signature GetBackAttributes()

Returns:a tuple
Return type:A tuple consisting of (title, value, color) title is a str. title for attribute value is a str. value of attribute color is a int. color of back faces

New in version NX4.0.0.

License requirements: ug_die_design (“Die Design”)

GetBaseAttributes

SteelInsertSectionBuilder.GetBaseAttributes

Gets the base faces attributes

Signature GetBaseAttributes()

Returns:a tuple
Return type:A tuple consisting of (title, value, color) title is a str. title for attribute value is a str. value of attribute color is a int. color of base faces

New in version NX4.0.0.

License requirements: ug_die_design (“Die Design”)

GetEndAttributes

SteelInsertSectionBuilder.GetEndAttributes

Gets the end faces attributes

Signature GetEndAttributes()

Returns:a tuple
Return type:A tuple consisting of (title, value, color) title is a str. title for attribute value is a str. value of attribute color is a int. color of end faces

New in version NX4.0.0.

License requirements: ug_die_design (“Die Design”)

GetFlangeWallAttributes

SteelInsertSectionBuilder.GetFlangeWallAttributes

Gets the flange wall attributes

Signature GetFlangeWallAttributes()

Returns:a tuple
Return type:A tuple consisting of (title, value, color) title is a str. title for attribute value is a str. value of attribute color is a int. color of flange wall faces

New in version NX4.0.0.

License requirements: ug_die_design (“Die Design”)

GetFormingAttributes

SteelInsertSectionBuilder.GetFormingAttributes

Gets the forming faces attributes

Signature GetFormingAttributes()

Returns:a tuple
Return type:A tuple consisting of (title, value, color) title is a str. title for attribute value is a str. value of attribute color is a int. color of forming faces

New in version NX4.0.0.

License requirements: ug_die_design (“Die Design”)

GetTrimWallAttributes

SteelInsertSectionBuilder.GetTrimWallAttributes

Gets the steelinsert trim wall faces attributes

Signature GetTrimWallAttributes()

Returns:a tuple
Return type:A tuple consisting of (title, value, color) title is a str. title for attribute value is a str. value of attribute color is a int. color of trim wall faces

New in version NX4.0.0.

License requirements: ug_die_design (“Die Design”)

SetBackAttributes

SteelInsertSectionBuilder.SetBackAttributes

Sets the back faces attributes

Signature SetBackAttributes(title, value, color)

Parameters:
  • title (str) – title for attribute
  • value (str) – value of attribute
  • color (int) – color of back faces

New in version NX4.0.0.

License requirements: ug_die_design (“Die Design”)

SetBackSideReliefDistance

SteelInsertSectionBuilder.SetBackSideReliefDistance

Signature SetBackSideReliefDistance(backSideReliefDistance)

Parameters:backSideReliefDistance (str) –

New in version NX4.0.0.

License requirements: ug_die_design (“Die Design”)

SetBaseAttributes

SteelInsertSectionBuilder.SetBaseAttributes

Sets the base faces attributes

Signature SetBaseAttributes(title, value, color)

Parameters:
  • title (str) – title for attribute
  • value (str) – value of attribute
  • color (int) – color of base faces

New in version NX4.0.0.

License requirements: ug_die_design (“Die Design”)

SetBeltThickness

SteelInsertSectionBuilder.SetBeltThickness

Signature SetBeltThickness(beltThickness)

Parameters:beltThickness (str) –

New in version NX4.0.0.

License requirements: ug_die_design (“Die Design”)

SetEndAttributes

SteelInsertSectionBuilder.SetEndAttributes

Sets the end faces attributes

Signature SetEndAttributes(title, value, color)

Parameters:
  • title (str) – title for attribute
  • value (str) – value of attribute
  • color (int) – color of end faces

New in version NX4.0.0.

License requirements: ug_die_design (“Die Design”)

SetExtensionDistance

SteelInsertSectionBuilder.SetExtensionDistance

Signature SetExtensionDistance(extensionDistance)

Parameters:extensionDistance (str) –

New in version NX4.0.0.

License requirements: ug_die_design (“Die Design”)

SetFlangeWallAttributes

SteelInsertSectionBuilder.SetFlangeWallAttributes

Sets the flange wall attributes

Signature SetFlangeWallAttributes(title, value, color)

Parameters:
  • title (str) – title for attribute
  • value (str) – value of attribute
  • color (int) – color of flange wall faces

New in version NX4.0.0.

License requirements: ug_die_design (“Die Design”)

SetFormingAttributes

SteelInsertSectionBuilder.SetFormingAttributes

Sets the forming faces attributes

Signature SetFormingAttributes(title, value, color)

Parameters:
  • title (str) – title for attribute
  • value (str) – value of attribute
  • color (int) – color of forming faces

New in version NX4.0.0.

License requirements: ug_die_design (“Die Design”)

SetOffsetProfileToTop

SteelInsertSectionBuilder.SetOffsetProfileToTop

Signature SetOffsetProfileToTop(offsetProfileToTop)

Parameters:offsetProfileToTop (str) –

New in version NX4.0.0.

License requirements: ug_die_design (“Die Design”)

SetPlanarOffsetHeight

SteelInsertSectionBuilder.SetPlanarOffsetHeight

Signature SetPlanarOffsetHeight(planarOffsetHeight)

Parameters:planarOffsetHeight (str) –

New in version NX4.0.0.

License requirements: ug_die_design (“Die Design”)

SetProductContactRelief

SteelInsertSectionBuilder.SetProductContactRelief

Signature SetProductContactRelief(productContactRelief)

Parameters:productContactRelief (str) –

New in version NX4.0.0.

License requirements: ug_die_design (“Die Design”)

SetProductContactWidth

SteelInsertSectionBuilder.SetProductContactWidth

Signature SetProductContactWidth(productContactWidth)

Parameters:productContactWidth (str) –

New in version NX4.0.0.

License requirements: ug_die_design (“Die Design”)

SetProfileRelief

SteelInsertSectionBuilder.SetProfileRelief

Signature SetProfileRelief(profileRelief)

Parameters:profileRelief (str) –

New in version NX4.0.0.

License requirements: ug_die_design (“Die Design”)

SetReliefAngle

SteelInsertSectionBuilder.SetReliefAngle

Signature SetReliefAngle(reliefAngle)

Parameters:reliefAngle (str) –

New in version NX4.0.0.

License requirements: ug_die_design (“Die Design”)

SetTrimWallAttributes

SteelInsertSectionBuilder.SetTrimWallAttributes

Sets the steelinsert trim wall faces attributes

Signature SetTrimWallAttributes(title, value, color)

Parameters:
  • title (str) – title for attribute
  • value (str) – value of attribute
  • color (int) – color of trim wall faces

New in version NX4.0.0.

License requirements: ug_die_design (“Die Design”)

Validate

SteelInsertSectionBuilder.Validate

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven’t set it. This method throws a not-yet-implemented NXException for some components.

Signature Validate()

Returns:Was self validation successful
Return type:bool

New in version NX3.0.1.

License requirements: None.